Package org.opensaml.xmlsec.algorithm

# Interface KeyAgreementAlgorithm

All Superinterfaces:
  `AlgorithmDescriptor`

All Known Implementing Classes:
  `KeyAgreementDHExplicitKDF`, `KeyAgreementDHLegacyKDF`, `KeyAgreementECDH`

public interface KeyAgreementAlgorithm extends AlgorithmDescriptor
Interface for key agreement algorithm descriptors.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.opensaml.xmlsec.algorithm.AlgorithmDescriptor

`AlgorithmDescriptor.AlgorithmType`

## Method Summary

### Methods inherited from interface org.opensaml.xmlsec.algorithm.AlgorithmDescriptor

`getJCAAlgorithmID, getType, getURI`